Get RTStream scene records
curl --request GET \
--url https://api.videodb.io/rtstream/{stream_id}/index/scene/{scene_index_id} \
--header 'x-access-token: <api-key>'const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/rtstream/{stream_id}/index/scene/{scene_index_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/rtstream/{stream_id}/index/scene/{scene_index_id}' -Method GET -Headers $headersimport Foundation
let url = URL(string: "https://api.videodb.io/rtstream/{stream_id}/index/scene/{scene_index_id}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-access-token": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/{stream_id}/index/scene/{scene_index_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/{stream_id}/index/scene/{scene_index_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/rtstream/{stream_id}/index/scene/{scene_index_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/{stream_id}/index/scene/{scene_index_id}");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/{stream_id}/index/scene/{scene_index_id}");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.videodb.io/rtstream/{stream_id}/index/scene/{scene_index_id}")
.get()
.addHeader("x-access-token", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"scene_index_records": [
{
"start": 1700000000,
"end": 1700000010,
"description": "Scene description"
}
],
"next_page": false
}
}Get RTStream Scene Records
Retrieve indexed scene records from a real-time stream
GET
/
rtstream
/
{stream_id}
/
index
/
scene
/
{scene_index_id}
Get RTStream scene records
Retrieve the scene records (descriptions and timestamps) generated by a scene index on a real-time stream.
- Use
startandend(Unix timestamps) to filter by time range - Paginated with
pageandpage_size(default: 100) - Each record includes timestamps and the AI-generated scene description
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Example:
"rts-12345"
Example:
"scene-idx-12345"
Query Parameters
Example:
1
Example:
100
Filter by start timestamp
Example:
1700000000
Filter by end timestamp
Example:
1700003600
⌘I